{% set CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS') %}


{% extends 'HCUEPacienteBundle::layout.html.twig' %}
{% block title %}Paciente {% endblock title %}
{% block bradcrumbs '' %}
    {% block page_header_content '' %}
        {% block page_main_content %}
            <div class="page-header">
                <h1>Aceptación vacunas </h1>
            </div>
            <div class="row">


                {% if form is defined and not form is empty %}
                    {% form_theme form  'bootstrap_3_layout.html.twig' %}

                    {% set myaction=path('hcue_paciente_paciente_save_acepta_vacuna') %}
                    <br>
                    {{ form_start(form, {'action': myaction,'attr': {'id': 'frmaceptavacuna'}}) }}
                    {{ form_errors(form) }}
                    <input id="aceptavacuna_vacunaid" type="hidden" name="aceptavacuna[id]" value="{{ aceptavacuna.id }}">
                    <input id="aceptavacuna_vacunaid" type="hidden" name="aceptavacuna[vacuna_id]" value="{{ aceptavacuna.vacunaId }}">
                    <input id="aceptavacuna_cttiporegistroid" type="hidden" name="aceptavacuna[cttiporegistro_id]" value="{{ CT_ACEPTA_VACUNA_REGISTRO_USUARIO_PRAS }}">

                    <div >
                        <div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.cttipoidentificacion)}}
                                    <br>
                                    <b>{{aceptavacuna.cttipoidentificacion.descripcion }}</b>
                                    {{form_widget(form.cttipoidentificacion,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden; ','readonly':'readonly'} })}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.identificacion)}}
                                    <br>
                                     <b>{{aceptavacuna.identificacion }}</b>
                                    {{form_widget(form.identificacion,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;','readonly':'readonly'} })}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.nombre)}}
                                    <br>
                                    <b>{{aceptavacuna.nombre }}</b>
                                    {{form_widget(form.nombre,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.fechanacimiento)}}
                                    <br>
                                    <b>{{aceptavacuna.fechanacimiento |  date("d-m-Y")  }}</b>
                                    {{form_widget(form.fechanacimiento,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;', 'readonly':'readonly', 'value':aceptavacuna.fechanacimiento |  date("d-m-Y")}})}}
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.ctsexo)}}
                                    <br>
                                    <b>{{aceptavacuna.ctsexo.descripcion }}</b>
                                    {{form_widget(form.ctsexo,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden;', 'readonly':'readonly'} })}}
                                    
                                </div>
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.ctestadocivil)}}
                                    <br>       
                                    <b>{{aceptavacuna.ctestadocivil.descripcion }}</b>                   
                                    {{form_widget(form.ctestadocivil,{ 'attr': {'class': 'form-control ','style':'width:100%; visibility: hidden; ', 'readonly':'readonly', } })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.correo)}}
                                    <br>
                                    {{form_widget(form.correo,{  'attr': {'class': 'form-control lower email','style':'width:100%'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.alergia)}}
                                    <br>
                                    <br>
                                    {{form_widget(form.alergia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.respiratoria)}}
                                    <br>
                                    {{form_widget(form.respiratoria,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.hemorragia)}}
                                    <br>
                                    {{form_widget(form.hemorragia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.inmuno)}}
                                    <br>
                                    {{form_widget(form.inmuno,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.enfermedad)}}
                                    <br>
                                    <br>
                                    {{form_widget(form.enfermedad,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group">
                                    {{form_label(form.covid)}}
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    {{form_widget(form.covid,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group preguntamujer">
                                    {{form_label(form.embarazo)}}
                                    <br>
                                    {{form_widget(form.embarazo,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                                <div class="col-sm-3 form-group preguntamujer">
                                    {{form_label(form.lactancia)}}
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    {{form_widget(form.lactancia,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-4 form-group">
                                    {{form_label(form.estado)}}
                                    <br>
                                    {{form_widget(form.estado,{ 'attr': {'class': 'form-control ','style':'width:100%'} })}}
                                </div>
                            </div>
                        </div>
                                <button id="send_form" type="button" class="width-35 btn btn-sm btn-primary">
                                    <i class="ace-icon fa fa-send"></i>
                                    <span class="bigger-110">Enviar</span>
                                </button>
                            </center>
                        </div>
                    </div>

                    {{ form_end(form) }}
                {%endif%}

            </div>



        {% endblock page_main_content %}
        {% block foot_script %}
            {{ parent() }}

            <script type="text/javascript">

                var sexo=$('#aceptavacuna_ctsexo').val();
                var cttipoidentificacion=$('#aceptavacuna_cttipoidentificacion').val();
                if(sexo){
                    actualizaSexo(sexo);
                    $('#aceptavacuna_ctsexo').attr('disabled',true);
                }

                $.include_once('bootstrap.datetimepicker', function () {
                    $('#aceptavacuna_fechanacimiento').datetimepicker({
                        format: 'DD-MM-YYYY',
                        maxDate: new Datecttipoidentificacion
                    })
                })


                function actualizaSexo(valor){
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').val(0);
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').attr('required',true);
                    $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').parent().show();
                    if(valor == 16){
                        $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').attr('required',false);
                        $('#aceptavacuna_embarazo, #aceptavacuna_lactancia').parent().hide();
                    }

                }

                $( document ).ready(function() {
                    $('#frmaceptavacuna').initInputsForm();
                    $("#frmaceptavacuna").validationForm();


                   // $('#aceptavacuna_cttipoidentificacion').val('{{ aceptavacuna.cttipoidentificacionId }}');
                    //$('#aceptavacuna_cttipoidentificacion, #aceptavacuna_identificacion').attr("readonly","readonly");


                    if($('#aceptavacuna_fechanacimiento').val()){
                        $('#aceptavacuna_fechanacimiento').attr("readonly","readonly")
                    }
                    if($('#aceptavacuna_nombre').val()){
                        $('#aceptavacuna_nombre').attr("readonly","readonly")
                    }




                    $('#send_form').click(function (){
                        var email=$("#aceptavacuna_correo").val();
                        $.confirm("<div class='alert alert-warning center'>Antes de guardar verifique que email para la recepción de certificaciones sea el correcto: <b>"+email+"</b> , Está seguro de guardar esta información ?</div>", function (result) {
                            if (result) {
                                $('#aceptavacuna_ctestadocivil, #aceptavacuna_ctsexo, #aceptavacuna_cttipoidentificacion ').attr('disabled',false)
                                if ($("#frmaceptavacuna").valid()) {
                                    $.processWait.show();
                                    $.ajax({
                                        type: 'POST',
                                        dataType: 'json',
                                        async: true,
                                        url:  $("#frmaceptavacuna").attr('action'),
                                        data: $("#frmaceptavacuna").serialize(),
                                        success: function (json) {
                                            $.processWait.hide();
                                            if (json.status) {
                                                $.alert(json.message, 'success', function(){
                                                    window.location.href = "{{ path('hcue_paciente_acepta_vacuna') }}/{{ menuactivo }}";
                                                });
                                            } else {
                                                $.alert(json.message, 'danger');

                                            }
                                        }
                                    })
                                }
                                else{
                                    $.alert('Debe registrar todos los campos', 'danger');
                                }
                            }
                        });

                    })

                });
            </script>
        {% endblock foot_script %}





